<?php
	
	/**
	 * Example 9
	 *
	 * Parsing IP information as XML document
	 */
	 
	// Include GeoIPLocator (path to source classes)
	include("../src/GeoIPLocator.class.php");
	
	
	$ip = "69.63.187.19";
	
	if( $ip )
	{
		$ip_portion = "(1[0-9][0-9]|2[0-5][0-5]|2[0-4][0-9]|[1-9][0-9]|[0-9])";
		$ip_pattern = "/^$ip_portion\.$ip_portion\.$ip_portion\.$ip_portion$/";
			
			if( !preg_match($ip_pattern, $ip) )
			{
				?><geoiplocator>
 <errors>true</errors>
</geoiplocator><?php
			}
			else
			{
				$geoip = new GeoIPLocator($ip);
		?><geoiplocator>
 <errors>false</errors>
 <status><?php echo $geoip->getIPInfo()->getStatus() ? "OK" : "UNKNOWN"; ?></status>
 <ip><?php echo $geoip->getIPInfo()->getIp(); ?></ip>
 <countrycode><?php echo $geoip->getIPInfo()->getCountryCode() ? $geoip->getIPInfo()->getCountryCode() : ""; ?></countrycode>
 <countryname><?php echo $geoip->getIPInfo()->getCountryName() ? $geoip->getIPInfo()->getCountryName() : ""; ?></countryname>
 <regioncode><?php echo $geoip->getIPInfo()->getRegionCode() ? $geoip->getIPInfo()->getRegionCode() : "UNKNOWN"; ?></regioncode>
 <regionname><?php echo $geoip->getIPInfo()->getRegionName() ? $geoip->getIPInfo()->getRegionName() : "UNKNOWN"; ?></regionname>
 <cityname><?php echo $geoip->getIPInfo()->getCityName() ? $geoip->getIPInfo()->getCityName() : "UNKNOWN"; ?></cityname>
 <zipcode><?php echo $geoip->getIPInfo()->getZipCode() ? $geoip->getIPInfo()->getZipCode() : "UNKNOWN"; ?></zipcode>
 <latitude><?php echo $geoip->getIPInfo()->getLatitude() ? $geoip->getIPInfo()->getLatitude() : "UNKNOWN"; ?></latitude>
 <longitude><?php echo $geoip->getIPInfo()->getLongitude() ? $geoip->getIPInfo()->getLongitude() : "UNKNOWN"; ?></longitude>
 <image><?php echo $geoip->getCountryFlag(256, true); ?></image>
 <timezone><?php echo $geoip->getIPInfo()->getTimezone() ? $geoip->getIPInfo()->getTimezone() : "UNKNOWN"; ?></timezone>
</geoiplocator><?php	}
	}
?>